import {
	renderBadges,
	BadgesField,
} from 'https://unpkg.com/badges@^4.8.0/edition-deno/index.ts'

export function getBadgesInCategory(
	category: string,
	data: { badges?: BadgesField }
): string {
	if (data.badges && data.badges.list) {
		return renderBadges(data.badges.list, data.badges.config, {
			filterCategory: category,
			filterScripts: true,
		})
	} else {
		return ''
	}
}

export function getBadgesSection(data: { badges?: BadgesField }): string {
	if (data.badges && data.badges.list) {
		return renderBadges(data.badges.list, data.badges.config, {
			filterScripts: true,
		})
	} else {
		return ''
	}
}
